## com.bbn.openmap.layer.policy
Class StandardRenderPolicy

    java.lang.Object
      |
      +--com.bbn.openmap.MapHandlerChild
            |
            +--com.bbn.openmap.OMComponent
                  |
                  +--com.bbn.openmap.layer.policy.StandardRenderPolicy

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer, RenderPolicy

Direct Known Subclasses:
  FullProjectionRenderPolicy, RenderingHintsRenderPolicy

public class StandardRenderPolicy
extends OMComponent
implements RenderPolicy

The StandardRenderPolicy is a RenderPolicy that simply paints the current graphic list. No conditions or deviations are considered.

Field Summary
`protected boolean` `DEBUG`
`protected OMGraphicHandlerLayer` `layer` Don't let this be null, nothing will happen.

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`StandardRenderPolicy()`
`StandardRenderPolicy(OMGraphicHandlerLayer layer)` Don't pass in a null layer.

Method Summary
`OMGraphicHandlerLayer` `getLayer()` A method to get the parent layer on the RenderPolicy.
`void` `paint(java.awt.Graphics g)` Called from OMGraphicHandlerLayer.paint(Graphics), so the policy can handle the painting for the layer.
`OMGraphicList` `prepare()` Called when an OMGraphicHandlerLayer should begin preparing OMGraphics for the map.
`void` `setLayer(OMGraphicHandlerLayer l)` A method to set the parent layer on the RenderPolicy.

Methods inherited from class com.bbn.openmap.OMComponent
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layer

    protected OMGraphicHandlerLayer layer

  Don't let this be null, nothing will happen. At all.

### DEBUG

    protected boolean DEBUG

Constructor Detail

### StandardRenderPolicy

    public StandardRenderPolicy()

### StandardRenderPolicy

    public StandardRenderPolicy(OMGraphicHandlerLayer layer)

  Don't pass in a null layer.

Method Detail

### setLayer

    public void setLayer(OMGraphicHandlerLayer l)

  Description copied from interface: `RenderPolicy`
  A method to set the parent layer on the RenderPolicy.

  Specified by:
    `setLayer` in interface `RenderPolicy`

### getLayer

    public OMGraphicHandlerLayer getLayer()

  Description copied from interface: `RenderPolicy`
  A method to get the parent layer on the RenderPolicy.

  Specified by:
    `getLayer` in interface `RenderPolicy`

### prepare

    public OMGraphicList prepare()

  Description copied from interface: `RenderPolicy`
  Called when an OMGraphicHandlerLayer should begin preparing OMGraphics for the map. This is a hook into the list to help RenderPolicy make decisions or set up the list for faster rendering.

  Specified by:
    `prepare` in interface `RenderPolicy`

### paint

    public void paint(java.awt.Graphics g)

  Description copied from interface: `RenderPolicy`
  Called from OMGraphicHandlerLayer.paint(Graphics), so the policy can handle the painting for the layer. If you are going to change the Graphics object in this method, you should make a copy of it first using the Graphics.create() method so the changes won't affect other layers.

  Specified by:
    `paint` in interface `RenderPolicy`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details